#
# spec file for package kdevelop5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rname   kdevelop
%define rversion 5.1
Name:           kdevelop5
Version:        5.1.2
Release:        lp150.1.10
Summary:        Plugin-extensible IDE for C/C++ and other programming languages
License:        GPL-2.0+
Group:          Development/Tools/IDE
Url:            http://www.kdevelop.org
Source0:        %{rname}-%{version}.tar.xz
BuildRequires:  grantlee5-devel
BuildRequires:  karchive-devel >= 5.16.0
BuildRequires:  kcmutils-devel >= 5.16.0
BuildRequires:  kconfig-devel >= 5.16.0
BuildRequires:  kcrash-devel >= 5.16.0
BuildRequires:  kdeclarative-devel >= 5.16.0
BuildRequires:  kdevelop5-pg-qt >= 2.0.0
BuildRequires:  kdevplatform-devel >= 5.0.0
BuildRequires:  kdoctools-devel >= 5.16.0
BuildRequires:  kf5-filesystem >= 5.16.0
BuildRequires:  kguiaddons-devel >= 5.16.0
BuildRequires:  ki18n-devel >= 5.16.0
BuildRequires:  kiconthemes-devel >= 5.16.0
BuildRequires:  kio-devel >= 5.16.0
BuildRequires:  kitemmodels-devel >= 5.16.0
BuildRequires:  kitemviews-devel >= 5.16.0
BuildRequires:  kjobwidgets-devel >= 5.16.0
BuildRequires:  knewstuff-devel >= 5.16.0
BuildRequires:  knotifications-devel >= 5.16.0
BuildRequires:  knotifyconfig-devel >= 5.16.0
BuildRequires:  kparts-devel >= 5.16.0
BuildRequires:  krunner-devel
BuildRequires:  kservice-devel >= 5.16.0
BuildRequires:  ktexteditor-devel >= 5.16.0
BuildRequires:  kwindowsystem-devel >= 5.16.0
BuildRequires:  kxmlgui-devel >= 5.16.0
BuildRequires:  libksysguard5-devel
BuildRequires:  llvm-clang-devel
BuildRequires:  okteta-devel
BuildRequires:  pkgconfig
BuildRequires:  plasma-framework-devel
BuildRequires:  shared-mime-info
BuildRequires:  threadweaver-devel >= 5.16.0
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Core) >= 5.4.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Help) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Quick) >= 5.4.0
BuildRequires:  pkgconfig(Qt5QuickWidgets) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Script) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRequires:  pkgconfig(Qt5WebKitWidgets) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0
Recommends:     %{name}-lang
Conflicts:      kdevelop4
Conflicts:      kdevelop4-plugin-clang
# The following plugins were provided by the KDE repos providing unstable packages
Provides:       kdevelop5-cpp-parser
Provides:       kdevelop5-plugin-qmljs = %{version}
Obsoletes:      kdevelop5-plugin-qmljs < %{version}
Provides:       kdevelop5-plugin-clang = %{version}
Obsoletes:      kdevelop5-plugin-clang < %{version}
Provides:       kdevelop5-plugin-qmake = %{version}
Obsoletes:      kdevelop5-plugin-qmake < %{version}
Provides:       kdevelop5-plugin-cppsupport = %{version}
Obsoletes:      kdevelop5-plugin-cppsupport < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KDevelop is an integrated development environment (IDE).
It provides editing, navigation and debugging features for several programming languages,
as well as integration with multiple build systems and version-control systems
using a plugin-based architecture.
KDevelop has parser backends for C, C++ and Javascript/QML,
with further external plugins supporting e.g. PHP or Python.

%package lang
Summary:        Languages for package %{name}
Group:          System/Localization
Requires:       %{name} = %{version}
Provides:       %{name}-lang-all = %{version}
Supplements:    packageand(bundle-lang-other:%{name})
BuildArch:      noarch
Conflicts:      kdevelop4-lang

%description lang
Provides translations to the package %{name}

%prep
%setup -q -n %{rname}-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %find_lang kdevclang %{name}.lang
  %find_lang kdevcmake %{name}.lang
  %find_lang kdevcmakebuilder %{name}.lang
  %find_lang kdevcppcheck %{name}.lang
  %find_lang kdevcustombuildsystem %{name}.lang
  %find_lang kdevcustomdefinesandincludes %{name}.lang
  %find_lang kdevcustommake %{name}.lang
  %find_lang kdevdebuggercommon %{name}.lang
  %find_lang kdevelop %{name}.lang
  %find_lang kdevexecuteplasmoid %{name}.lang
  %find_lang kdevformatters %{name}.lang
  %find_lang kdevgdb %{name}.lang
  %find_lang kdevghprovider %{name}.lang
  %find_lang kdevkdeprovider %{name}.lang
  %find_lang kdevlldb %{name}.lang
  %find_lang kdevmakebuilder %{name}.lang
  %find_lang kdevmanpage %{name}.lang
  %find_lang kdevninja %{name}.lang
  %find_lang kdevokteta %{name}.lang
  %find_lang kdevqmakebuilder %{name}.lang
  %find_lang kdevqmakemanager %{name}.lang
  %find_lang kdevqmljs %{name}.lang
  %find_lang kdevqthelp %{name}.lang
  %find_lang plasma_applet_kdevelopsessions %{name}.lang
  %find_lang plasma_runner_kdevelopsessions %{name}.lang

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING* README.md
%dir %{_kf5_iconsdir}/hicolor/256x256
%dir %{_kf5_iconsdir}/hicolor/256x256/apps
%{_kf5_applicationsdir}/*kdevelop*.desktop
%{_kf5_bindir}/*
%{_kf5_htmldir}/en/kdevelop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_libdir}/*.so*
%{_kf5_libdir}/cmake/KDevelop/
%{_kf5_notifydir}/
%{_kf5_plasmadir}/
%{_kf5_plugindir}/
%{_kf5_prefix}/include/kdevelop/
%{_kf5_servicesdir}/
%{_kf5_appstreamdir}/
%{_kf5_sharedir}/kdev*/
%{_kf5_sharedir}/mime/packages/kdevelop.xml
%{_kf5_sharedir}/mime/packages/kdevclang.xml
%{_kf5_kxmlguidir}/kdevcppcheck/

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Aug 29 2017 wbauer@tmo.at
- New upstream release 5.1.2
  * Fixed a crash in the cmake lexer (kde#363269)
  * Various small improvements in cmake and C++ code completion
  * Fix placement of C++ #include completions
  * Fix a crash with JS projects on remote directories (kde#369573)
  * Source formatting preview is back
* Wed Jun  7 2017 jengelh@inai.de
- Remove empty phrasing from description.
* Sat May 27 2017 wbauer@tmo.at
- New upstream release 5.1.1
  * Install xdg mimetype definition for OpenCL C
  * Move print from int to unsigned int
  * Fix build for MinGW (kde#379454)
  * Look for Cppcheck as RUNTIME dependencies
  * The OpenCL language is actually called OpenCL C
  * Remove unneeded mimetype for *.kdevinternal files
  * Create KAboutData object only after QApp instance, for working
    translations
  * CMake - fix bug with dropping changed settings for existing
    build directory
  * Drop explicit %%{PROJECTDIR}/ from templates'
    ShowFilesAfterGeneration
  * Remove unused "VersionControl" entries from kdev4
    samples/templates
  * Fix ShowFilesAfterGeneration to match generated files
    (kde#378499)
  * Update Qt logo image
- Changed package summary/description as requested in boo#1034320
* Thu Mar 23 2017 wbauer@tmo.at
- New upstream release 5.1.0
  * For a list of changes, see:
    https://www.kdevelop.org/news/kdevelop-510-released
- Add okteta-devel BuildRequires to re-enable the okteta plugin
* Sun Mar  5 2017 wbauer@tmo.at
- New upstream release 5.0.4
  * QObject template: fix typo screwing redefinition of block
    extra_definitions
  * Update version number to 5.0.4
  * Clang: Fix missing DUChain lock
  * Custom-buildsystem: Fix crash while configuring (kde#335470)
  * Try to fix testGccCompatibility test for me
  * Clang: Also rename destructors when renaming class (kde#373452)
  * Fix bug with wrong CMake arguments during adding new build
    directory
  * Clang: Don't propose to refactor function defs
  * Fix comments in file template for Python unit test for
    setUp/tearDown (kde#321005)
  * Fix TestCustomBuildSystemPlugin by readding .kdev4 folders of
    test data
  * Providers: Fix some Qt runtime warnings
  * Update TestProblems::testMissingInclude() to current
    ClangFixitAssistant
  * QtHelp CSS images fix
  * QtHelp page loading fix
  * Update INSTALL
  * Streamline README
  * File_templates: Remove '#include "foo.moc"' footer
  * Prefer qmake over qmake-qt5 over qmake-qt4
  * Appimage: do not fail on git stash pop
  * Fix default icon for some plugin
  * I18n fixes
* Fri Dec  2 2016 wbauer@tmo.at
- New upstream release 5.0.3
  * Make the "Forward declare" problem solution assistant only pop
    up when it makes sense
  * Fix GitHub handling authentication (kde#372144)
  * Fix Qt help jumping to the wrong function sometimes
* Wed Nov 16 2016 wbauer@tmo.at
- New upstream release 5.0.2
  * Fix a possible crash when activating a clang FixIt (kde#369176)
  * Fix a crash when performing various actions with the Make
    plugin disabled (kde#369326)
  * Fix "Install as root" action not working
  * Fix CMake build plugin sometimes rebuilding everything when it
    should not
* Tue Oct  4 2016 lbeltrame@kde.org
- Add missing find_lang macros for additional translations
* Tue Oct  4 2016 lbeltrame@kde.org
- Add KArchive to BuildRequires and bump Frameworks versions
  (they were lower than in kdevplatform, and that did not make
  any sense)
* Mon Oct  3 2016 lbeltrame@kde.org
- New upstream release 5.0.1
  * Do not display the "project is already open in a different
    session" dialog on starting up a session under some
    circumstances.
  * Mouseover highlight now uses the "Search highlight" color from
    the configuration dialog, instead of a hard-coded bright
    yellow.
  * Fix working directory of Custom Makefile plugin
  * Fix a possible crash on triggering an assistant popup action
  * Fix a freeze under some circumstances when the welcome page is
    displayed.
* Thu Sep 22 2016 lbeltrame@kde.org
- Drop %%lang_package and use an explicit Conflicts on
  kdevelop4-lang to workaround issues in the Factory submission
  bot
* Wed Aug 24 2016 cgiboudeaux@gmx.com
- Update to 5.0.0
* Thu Jul 21 2016 wbauer@tmo.at
- Remove libQt5Declarative/QtQuick1 build requirement to fix build
  with Qt 5.7, it's not needed/used anyway
* Thu Jan 28 2016 tittiatcoke@gmail.com
- Initial package for kdevelop 5 based on Frameworks
  * Kdevelop 5 Beta 3
